members.dev
Benefits

Create Benefit

POST
/v1/benefits

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.members.dev/v1/benefits" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "benefit_type": "custom",    "default_value": "default"  }'
{
  "id": "ben_01KKSMB47VYGW97GFE67VGDK7M",
  "benefit_type": "custom",
  "name": "Premium Support",
  "description": "24/7 priority support access",
  "status": "Active",
  "default_value": "default",
  "state_transitions": {
    "archived_at": {}
  },
  "created_at": null,
  "updated_at": null
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}